/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.dialog;

/**
 * <p>An {@link ActionState} represents the execution of an action method
 * (typically delegating behavior to appropriate business logic).  The
 * actual method must be a public method that returns a String and takes
 * no arguments, and is represented by a JavaServer Faces method binding
 * expression.  Note that this method signature is identical to the definition
 * of an "action" method as used in the JavaServer Faces
 * <code>ActionSource</code> APIs.</p>
 *
 * $Id: ActionState.java 419431 2006-07-06 04:38:39Z wsmoak $
 */

public interface ActionState extends State {


    // -------------------------------------------------------------- Properties


    /**
     * <p>Return the method binding expression specifying the method to be
     * invoked when this {@link State} is entered.</p>
     */
    public String getMethod();


}
