/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.dialog;

/**
 * <p>Manifest constants that are global to the dialog implementation.</p>
 *
 * $Id: Globals.java 419431 2006-07-06 04:38:39Z wsmoak $
 */

public class Globals {


    /**
     * <p>Context initialization parameter used to specify a comma delimited
     * list of context relative resource paths to resources containing our
     * dialog configuration information.</p>
     */
    public static final String CONFIGURATION_PARAM =
      "org.apache.shale.dialog.CONFIGURATION";


    /**
     * <p>Name of the application scope attribute under which a
     * <code>Map</code> of {@link Dialog} definitions (keyed by
     * dialog name) is stored.</p>
     */
    public static final String DIALOGS = "org.apache.shale.dialog.DIALOGS";


    /**
     * <p>Context initialization parameter used to specify the prefix
     * on a navigation logical outcome, used to identify this as a
     * request to initiate a dialog.  If not present, the default prefix
     * value is "dialog:".</p>
     */
    public static final String PREFIX = "org.apache.shale.dialog.PREFIX";


    /**
     * <p>Default name of the session scope attribute under which a
     * {@link Status} instance for the current user is stored.</p>
     */
    public static final String STATUS = "dialog";


    /**
     * <p>Context initialization parameter used to specify the session scope
     * key under which a {@link Status} instance will be stored.  If not
     * specified, the value specified by <code>STATUS</code> will be used.</p>
     */
    public static final String STATUS_PARAM =
      "org.apache.shale.dialog.STATUS";


}
