/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.dialog;

/**
 * <p>Description of a transition from the owning {@link State} to another
 * {@link State} with a specified identifier.  {@link Transition} instances
 * are owned by a single {@link State} instance, or are global to an entire
 * {@link Dialog} instance, and during execution of an application they are
 * immutabe.</p>
 *
 * $Id: Transition.java 419431 2006-07-06 04:38:39Z wsmoak $
 */

public interface Transition {


    // -------------------------------------------------------------- Properties


    /**
     * <p>Return the logical outcome used to select this {@link Transition}.</p>
     */
    public String getOutcome();


    /**
     * <p>Return the target {@link State} identifier for this
     * {@link Transition}.</p>
     */
    public String getTarget();


}
