/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.dialog.impl;

import org.apache.shale.dialog.ViewState;

/**
 * <p>{@link ViewStateImpl} is a basic implementation of
 * {@link ViewState}.</p>
 *
 * $Id: ViewStateImpl.java 419431 2006-07-06 04:38:39Z wsmoak $
 */

public class ViewStateImpl extends AbstractState implements ViewState {


    // ------------------------------------------------------ Instance Variables


    /**
     * <p>The view identifier of the JavaServer Faces view to render if this
     * state is entered.</p>
     */
    private String viewId = null;


    // -------------------------------------------------------------- Properties


    /**
     * {@inheritDoc}
     */
    public String getViewId() {

        return this.viewId;

    }


    // ---------------------------------------------------------- Public Methods


    /**
     * <p>Render a printable version of this instance.</p>
     */
    public String toString() {

        return "ViewState[dialog=" +
               ((getDialog() != null) ? getDialog().getName() : "<null>") +
               ",name=" + getName() +
               ",viewId=" + this.viewId + "]";

    }


    // --------------------------------------------------- Configuration Methods


    /**
     * <p>Set the view identifier of the JavaServer Faces view to render
     * if this state is entered.</p>
     *
     * @param viewId The new view identifier
     */
    public void setViewId(String viewId) {

        this.viewId = viewId;

    }


}
